package com.realnet.basicp1.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.basicp1.Entity.Sdv3;
import com.realnet.basicp1.Services.Sdv3Service ;






@RequestMapping(value = "/token/Sdv3")
 @CrossOrigin("*") 
@RestController
public class tokenFree_Sdv3Controller {
	@Autowired
	private Sdv3Service Service;

@Value("${projectPath}")
	private String projectPath;
 






	@PostMapping("/Sdv3")
		  public Sdv3 Savedata(@RequestBody Sdv3 data) {
		Sdv3 save = Service.Savedata(data)	;





		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Sdv3/{id}")
	public  Sdv3 update(@RequestBody Sdv3 data,@PathVariable Integer id ) {
		Sdv3 update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Sdv3/getall/page")
	public Page<Sdv3> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Sdv3> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Sdv3")
	public List<Sdv3> getdetails() {
		 List<Sdv3> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Sdv3")
	public List<Sdv3> getallwioutsec() {
		 List<Sdv3> get = Service.getdetails();		
		return get;
}
@GetMapping("/Sdv3/{id}")
	public  Sdv3  getdetailsbyId(@PathVariable Integer id ) {
		Sdv3  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Sdv3/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}







}